<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

// Get the orderid number from the request body
$orderid = $_GET['orderid'];
$userid =  $_GET['userid'];
$storeid = $_GET['storeid'];

  // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}


// Connect to the database
include '../config/database3.php';

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch orders from order table
$sql = "SELECT * FROM Orders where OrderID = ? AND StoreID = ? AND CustomerID = ?";



$stmt = $conn->prepare($sql);
$stmt->bind_param("iii", $orderid,$storeid,$userid);
$stmt->execute();
$orderdata = $stmt->get_result()->fetch_assoc();

// Return the customer data
echo json_encode($orderdata);

$conn->close();
?>
