<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");
    
      // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}
    
    include_once '../config/database4.php';
    include_once '../class/postOrders2.php';
    include_once('../config/config.php');
    
    $database = new Database();
    $db = $database->getConnection();
    
    $item = new Orders($db);
    
    $data = json_decode(file_get_contents("php://input"));

 

   
    $emp_arr = array(
    $item->OrderID = $data->OrderID,
    $item->CustomerID = $data->CustomerID,
    $item->Total = $data-> Total,
    $item->Payment = $data-> Payment,
    $item->TotalWeight = $data->TotalWeight,
    $item->PaymentOption = $data->PaymentOption,
    $item->DeliveryOption = $data->DeliveryOption,
    $item->DeliveryRegion = $data->DeliveryRegion,
    $item->StoreID = $data->StoreID,
    $item->ShippingFees = $data->ShippingFees,
    $item->Amount = $data->Amount);

  
  
    if($item->postOders()){
        http_response_code(200);
        $response['error'] = false; 
        $response['message'] = 'order posted successsfully ';
        $response['OrderId'] = $data->OrderID;
  
        echo json_encode($response);  
       
    } else{
        http_response_code(500);
        $response['error'] = true; 
        $response['message'] = 'Order could not be posted,try again.'; 
        echo json_encode($response);                                                                                          
        
    }


?>