<?php
    class CustomerOrders{

        // Connection
        private $conn;

        // Table
        private $db_table = "Orders";

       

        // Columns
        public $ID;
        public $OrderID;
        public $CustomerID;
        public $Date;
        public $Total;
        public $TotalWeight;
        public $Confirmed;
        public $ConfirmedTime;
        public $Claimed;
        public $ClaimedTime;
        public $Picked;
        public $PickedTime;
        public $Packed;
        public $PaymentOption;
        public $DeliveryOption;
        public $DeliveryRegion;
        public $OnDelivery;
        public $OnDeliveryTime;
        public $Delivered;
        public $DeliveredTime;
        public $Finalised;
        public $FinalisedTime;
        public $Synced;
        public $ReturnRequest;
        public $ReturnRequestTime;
        public $Returned;
        public $ReturnedTime;
        public $Archived;
        public $StoreID; 
        public $PackedTime;
        public $feedbackid;
     
        
        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

    

        // GET Customer orders
        public function getCustomerOrders(){           
        
    
            $sqlQuery = "SELECT  * FROM Orders WHERE CustomerID=? ORDER BY Orders.Date DESC";
            
          
           
            $stmt = $this->conn->prepare($sqlQuery);
              
            $stmt->bindParam(1, $this->CustomerID);
           


            $stmt->execute();

            return $stmt;       
        }    
    }    

        ?>

