<?php
    class TransactionDetails{

        // Connection
        private $conn;

        // Table
        private $db_table = "transactionentry";

        // Columns
        public $ID;
        public $TransactionID;
        public $ItemID;
        public $Price;
        public $Quantity;
        public $Total;
        public $ItemLookupCode;
        public $Description;
        public $StoreID;
        
       



        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

        
        public function getTransactionDetails(){
            $sqlQuery = " select b.ItemLookupCode,b.Description,a.ID,a.ItemID,a.TransactionID,a.Quantity,a.Price, a.Quantity*a.Price as Total from
            transactionentry a, item b where a.ItemID=b.ID and a.TransactionID=? and a.StoreID=?";

            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->bindParam(1, $this->TransactionID);
            $stmt->bindParam(2, $this->StoreID);
            $stmt->execute();
            
            return $stmt;
        }

           }
?>

