<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: GET");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../../config/database.php';
include_once('../../config/config.php');

$database = new Database();
$db = $database->getConnection();   

if ($_SERVER["REQUEST_METHOD"] == "GET") {
    
    
            
  $sql ="
  SELECT
    a.ID,
    a.description,
    a.longdescription,
    a.cost,
    a.price,
    a.saleprice,
    a.quantity,
    a.departmentID,
    a.categoryID,
    b.pic1 AS image,
    c.name AS department_name,
    d.Name AS category_name,
    inventorylocation.Description AS branch,
    inventorylocation.ID AS branchID
FROM
    item a
    JOIN itemimages b ON b.itemID = a.ID
    JOIN department c ON c.ID = a.departmentID
    JOIN category d ON d.ID = a.categoryID
    JOIN inventorylocationitems ON inventorylocationitems.ItemID = a.ID
    JOIN inventorylocation ON inventorylocation.ID = inventorylocationitems.InventoryLocation;
  ";

            
    $stmt = $db->prepare($sql);
    $stmt->execute();
    $orders = $stmt->fetchAll(PDO::FETCH_ASSOC);

    echo json_encode($orders);
}
?>
