<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    header("Access-Control-Allow-Methods: POST");
    header("Access-Control-Max-Age: 3600");
    header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

    include_once '../config/database4.php';
    include_once '../class/customerOrders1.php';
    include_once '../config/config.php';
    
       // Validate the API key
$expected_api_key = "8L14irhDOhBUffrmiv2kqUSoSpeIK9D7JYDmsPVS9-M";

$received_api_key = isset($_SERVER['HTTP_AUTH']) ? trim($_SERVER['HTTP_AUTH']) : '';


if ($received_api_key !== $expected_api_key) {
    $response = [
        'success' => false,
        'message' => "Invalid API Key."
    ];
    echo json_encode($response);
    exit; // Terminate the script if the API key is invalid
}

    $database = new Database();
    $db = $database->getConnection();   
    $items = new CustomerOrders($db);
    $items->CustomerID= isset($_GET['CustomerID']) ? $_GET['CustomerID'] : die();
       $items->StoreID= isset($_GET['branchid']) ? $_GET['branchid'] : die();
    

  
    $stmt = $items->getCustomerOrders();
    $itemCount = $stmt->rowCount();


    if($itemCount > 0){
        
        $ordersArr = array();
        
        $total = 0;
   
       
        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
            $e = array(
                "ID" =>  $ID,
                "OrderID" => $OrderID,
                "CustomerID" => $CustomerID,
                "Date" => $Date,
                "Total" => $Total,
                "TotalWeight" => $TotalWeight,
                "Confirmed" => $Confirmed,
                "ConfirmedTime" => $ConfirmedTime,
                "Claimed" => $Claimed,
                "ClaimedTime" => $ClaimedTime,
                "Picked" => $Picked,
                "PickedTime" => $PickedTime,
                "Packed" => $Packed,
                "PaymentOption" => $PaymentOption,
                "DeliveryOption" => $DeliveryOption,
                "DeliveryRegion" => $DeliveryRegion,
                "OnDelivery" => $OnDelivery,
                "OnDeliveryTime" => $OnDeliveryTime,
                "Delivered" => $Delivered,
                "DeliveredTime" => $DeliveredTime,
                "Finalised" => $Finalised,
                "FinalisedTime" => $FinalisedTime,
                "Synced" => $Synced,
                "ReturnRequest" => $ReturnRequest,
                "ReturnRequestTime" => $ReturnRequestTime,
                "Returned" => $Returned,
                "ReturnedTime" => $ReturnedTime,
                "Archived" => $Archived,
                "StoreID" => $StoreID,
                "PackedTime" => $PackedTime,
                "feedbackid" => $feedbackid
            );


           
            array_push($ordersArr, $e);
        }
        echo json_encode($ordersArr);
    }
    else{
        // http_response_code(404);
         $ordersArr = array();
        echo json_encode(
            // array("message" => "No record found.")
            $ordersArr
        );
    }

    
?>



